#
# Conditional build:
%bcond_without	systemd		# systemd
%bcond_without	nfacct		# build with nfacct plugin

%if 0%{?fedora} || 0%{?rhel} >= 7
%else
%undefine	with_systemd
%endif

Summary:	Real-time performance monitoring, done right
Name:		netdata
Version:	1.1.0
Release:	%{?release_suffix}%{?dist}
License:	GPL v3+
Group:		Applications/System
Source0:	http://firehol.org/download/netdata/releases/v1.1.0/%{name}-1.1.0.tar.xz
URL:		http://netdata.firehol.org/
BuildRequires:	pkgconfig
BuildRequires:	xz
BuildRequires:	zlib-devel
%if %{with nfacct}
BuildRequires:	libmnl-devel
BuildRequires:	libnetfilter_acct-devel
%endif
%if %{with systemd}
BuildRequires:		systemd
Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
netdata is the fastest way to visualize metrics. It is a resource
efficient, highly optimized system for collecting and visualizing any
type of realtime timeseries data, from CPU usage, disk activity, SQL
queries, API calls, web site visitors, etc.

netdata tries to visualize the truth of now, in its greatest detail,
so that you can get insights of what is happening now and what just
happened, on your systems and applications.

%prep
%setup -q -n %{name}-1.1.0

%build
%configure \
	--docdir=%{_docdir}/%{name}-%{version} \
	--with-zlib \
	--with-math \
	%{?with_nfacct:--enable-plugin-nfacct} \
	--with-user=netdata
%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} %{?_smp_mflags} install \
	DESTDIR=$RPM_BUILD_ROOT

install -m 644 -p system/netdata.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/*.conf

find $RPM_BUILD_ROOT -name .keep | xargs rm

%if %{with systemd}
install -d $RPM_BUILD_ROOT%{_unitdir}
install -m 644 -p system/netdata.service $RPM_BUILD_ROOT%{_unitdir}/netdata.service
%endif

%pre
getent group netdata > /dev/null || groupadd -r netdata
getent passwd netdata > /dev/null || useradd -r -g netdata -c netdata -s /sbin/nologin -d / netdata

%if %{with systemd}
%post
%systemd_post netdata.service

%preun
%systemd_preun netdata.service

%postun
%systemd_postun_with_restart netdata.service
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,netdata,netdata) %dir %{_localstatedir}/cache/%{name}
%attr(-,netdata,netdata) %dir %{_localstatedir}/log/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*.conf
%dir %{_sysconfdir}/%{name}
%{?with_systemd:%{_unitdir}/netdata.service}
%{_libexecdir}/%{name}
%{_sbindir}/%{name}
%dir %{_datadir}/%{name}

# override defattr for web files
%defattr(755,root,netdata,644)
%{_datadir}/%{name}/web

%changelog
* Wed Apr 20 2016 Costa Tsaousis <costa@tsaousis.gr> - 1.1.0-1
- Several new features (IPv6, SYNPROXY, Users, Users Groups).
- A lot of bug fixes and optimizations.
* Tue Mar 22 2016 Costa Tsaousis <costa@tsaousis.gr> - 1.0.0-1
- First public release.
* Sun Nov 15 2015 Alon Bar-Lev <alonbl@redhat.com> - 0.0.0-1
- Initial add.
